Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.values
Class Closure

    java.lang.Object
      org.deegree.datatypes.values.Closure

All Implemented Interfaces:
  Serializable

    public class Closure

extends Object
implements Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static String` | `CLOSED` Comment for `CLOSED`
`static String` | `CLOSED_OPENED` Comment for `CLOSED-OPENED`
`static String` | `OPENED` Comment for `OPENED`
`static String` | `OPENED_CLOSED` Comment for `OPENED-CLOSED`
`String` | `value` Comment for `value`

Constructor Summary
`Closure()` default = CLOSED
`Closure(String value)`

Method Summary
`boolean` | `equals(Object object)` Compares the specified object with this enum for equality.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSED

    public static final String CLOSED

  Comment for `CLOSED`

  See Also:
    Constant Field Values

### OPENED

    public static final String OPENED

  Comment for `OPENED`

  See Also:
    Constant Field Values

### OPENED_CLOSED

    public static final String OPENED_CLOSED

  Comment for `OPENED-CLOSED`

  See Also:
    Constant Field Values

### CLOSED_OPENED

    public static final String CLOSED_OPENED

  Comment for `CLOSED-OPENED`

  See Also:
    Constant Field Values

### value

    public String value

  Comment for `value`

Constructor Detail

### Closure

    public Closure()

  default = CLOSED

### Closure

    public Closure(String value)

Parameters:
  `value` -

Method Detail

### equals

    public boolean equals(Object object)

  Compares the specified object with this enum for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org